package com.xisc.pm.infra.repository.impl;

import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmIngotThickAddvBtTra;
import com.xisc.pm.domain.repository.PmIngotThickAddvBtTraRepository;
import com.xisc.pm.infra.mapper.PmIngotThickAddvBtTraMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 钢锭厚度余量基准表履历表(PmIgnotThickAddvBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 15:35:35
 */
@Component
public class PmIngotThickAddvBtTraRepositoryImpl extends BaseRepositoryImpl<PmIngotThickAddvBtTra> implements PmIngotThickAddvBtTraRepository {
    @Resource
    private PmIngotThickAddvBtTraMapper pmIngotThickAddvBtTraMapper;

    @Override
    public List<PmIngotThickAddvBtTra> selectList(PmIngotThickAddvBtTra pmIngotThickAddvBtTra) {
        return pmIngotThickAddvBtTraMapper.selectList(pmIngotThickAddvBtTra);
    }

    @Override
    public PmIngotThickAddvBtTra selectByPrimary(Long traId) {
        PmIngotThickAddvBtTra pmIngotThickAddvBtTra = new PmIngotThickAddvBtTra();
        pmIngotThickAddvBtTra.setTraId(traId);
        List<PmIngotThickAddvBtTra> pmIngotThickAddvBtTras = pmIngotThickAddvBtTraMapper.selectList(pmIngotThickAddvBtTra);
        if (CollectionUtils.isEmpty(pmIngotThickAddvBtTras)) {
            return null;
        }
        return pmIngotThickAddvBtTras.get(0);
    }
}
